<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $di_data;
global $product;

if ( $upsells ) : ?>

<div class="product-block<?php if($di_data['prod_navs'] == 'sttwo') { ?> nav-type-two<?php } ?> related block">
    <div class="block-title">
        <h2>
            <i class="fal fa-bags-shopping" aria-hidden="true"></i>
            <?php esc_html_e( 'You may also like', 'dina-kala' ); ?>
        </h2>
    </div>
    <div class="owl-carousel" <?php if ( $di_data['show_arrows'] ) { echo 'data-itemnavs="true"'; } else { echo 'data-itemnavs="false"'; } ?> <?php if ( $di_data['prod_loop'] ) { echo 'data-itemloop="true"'; } else { echo 'data-itemloop="false"'; } ?> <?php if ( $di_data['auto_play'] ) { echo 'data-itemplay="true"'; } else { echo 'data-itemplay="false"'; } ?> data-itemscount="<?php echo $di_data['pcount']; ?>" data-dir="<?php dina_rtl(); ?>">

		<?php //woocommerce_product_loop_start(); ?>

			<?php foreach ( $upsells as $upsell ) : ?>

				<?php
				$post_object = get_post( $upsell->get_id() );

				setup_postdata( $GLOBALS['post'] =& $post_object );
				?>

<?php 
                            global $product;
                                $in_stock = $product->is_in_stock();
                                 ?>
                            <div class="item">
                                <div class="<?php echo dina_mini_product_classes($product->get_id()); ?>">
                                    <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="product-link">
                                        <?php pr_img() ?>
                                        <?php if($in_stock) { ?>
                                        <?php echo dina_dis_price(get_the_ID()); ?>
                                        <?php } ?>
                                        <span class="product-title">
                                            <?php the_title(); ?>
                                        </span>
                                        <span class="product-price">
                                        <?php if($in_stock) { ?>
                                            <span class="price-con">
                                            <?php echo $product->get_price_html(); ?>
                                            </span>
                                        <?php } else { ?>
                                            <span class="price-con">
                                            <?php _e( 'Out of stock', 'dina-kala' ); ?>
                                            </span>
                                        <?php } ?>
                                        </span>
                                    </a>
                                    <?php dina_add_to_cart($product); ?>
                                </div>
                            </div>

			<?php endforeach; ?>

		<?php //woocommerce_product_loop_end(); ?>

        </div>
                    </div>

	<?php
endif;

wp_reset_postdata();